www.22138com「太阳集团游戏」太阳2007娱乐官方网址

欢迎更多朋友与我们www.22138com合作,太阳集团游戏是由安全软件管理软件整合而成的最新安全卫士,其实这是因为目前已经推出了太阳2007娱乐官方网址的新网址,带您体验至尊级享受!。

如果用户需要支持 IE 6/7/8

2020-04-01 17:14 来源:未知

检查是否为 IE 6-8:

jQuery 从 1.9 版开始,移除了 $.browser 和 $.browser.version , 取而代之的是 $.support 。 在更新的 2.0 版本中,将不再支持 IE 6/7/8。 以后,如果用户需要支持 IE 6/7/8,只能使用 jQuery 1.9。 如果要全面支持 IE,并混合使用 jQuery 1.9 和 2.0, 官方的解决方案是:

复制代码 代码如下:// Oldif ($.browser.msie && 7 > $.browser.version) {}// Newif ('undefined' == typeof(document.body.style.maxHeight)) {}

终极方法是用另外的类库替代,可以参照老外写的一篇文章:

从长久来看,这样有利于在复杂情况下根据浏览器特性进行分别处理, 而不是简单的检测浏览器类型和版本。 但目前很多旧程序的移植恐怕无法直接过渡为根据浏览器支持特性, 所以在网上找了一些能够直接替换的解决办法。

复制代码 代码如下:

等号后面的表达式返回的就是 true/false, 可以直接用来替换原来的 $.browser.msie 等。如需要检查是否为 IE6时,可以这么写:

复制代码 代码如下:$.browser.mozilla = /firefox/.test(navigator.userAgent.toLowerCase;$.browser.webkit = /webkit/.test(navigator.userAgent.toLowerCase;$.browser.opera = /opera/.test(navigator.userAgent.toLowerCase;$.browser.msie = /msie/.test(navigator.userAgent.toLowerCase;

Browser detect

复制代码 代码如下:if (!$.support.leadingWhitespace) {}

版权声明:本文由太阳集团发布于太阳2007娱乐官方网址,转载请注明出处:如果用户需要支持 IE 6/7/8